GNUNET-SCRYPT(1)

NAME
gnunet-scrypt - manipulate GNUnet proof of work files

SYNOPSIS
gnunet-scrypt [-b BITS | --bits=BITS] [-c FILENAME | --config=FILENAME] [-h | --help] [-k FILENAME | --keyfile=FILENAME] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l FILENAME | --logfile=FILENAME] [-o FILENAME | --outfile=FILENAME] [-t DELAY | --timeout=DELAY] [-v | --version]

DESCRIPTION
gnunet-scrypt is a command line tool to manipulate GNUnet proof of work files.

-b BITS | --bits=BITS
    Number of bits to require for the proof of work.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-k FILENAME | --keyfile=FILENAME
    Use FILENAME as the file with private key, otherwise the default private key file is used.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l FILENAME | --logfile=FILENAME
    Configure logging to write logs to FILENAME.

-o FILENAME | --outfile=FILENAME
    File with proof of work, otherwise default is used.

-t DELAY | --timeout=DELAY
    Time to wait between calculations.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.